﻿var page = 1;
$(document).ready(function () {
    $("body").on("click", ".showFilter", function () {
        if ($("#EventsFilter").css('display') == "none") {
            $("#EventsFilter").show();
        }
        else {
            $("#EventsFilter").hide();
        }
    });

    initDateRangePicker("#Timespan");

    $("body").on("click", ".closeFilter", function () {
        $("#Timespan").val("");
        $("#Ip").val("");
        $("#selectedUsers").val(null);
        $("#selectedUsers").trigger("change");
        $("#SelectedCustomers").val(null);
        $("#SelectedCustomers").trigger("change");
        $("#SelectedTypes").val(null);
        $("#SelectedTypes").trigger("change");
        $("#EventsFilter").hide();
        setPage(1);
    });

    reloadTable();
});

function openDialog() {
    $("#DialogUsersHistoryDays").dialog("open");
}

function reloadTable() {
    $("#Events").html("<div class='loading-32'></div>");
    $.ajax({
        url: RQ_URL + "/Events/ReloadEvents",
        type: "POST",
        data: JSON.stringify({
            timespan: $("#Timespan").val(),
            users: $("#selectedUsers").val(),
            companies: $("#SelectedCustomers").val(),
            types: $("#SelectedTypes").val(),
            ip: $("#Ip").val(),
            page: page,
        }),
        dataType: "html",
        contentType: "application/json; charset=utf-8",
        success: function (g) {
            $("#Events").html(g);
        },
        error: function (error) { alert(error.responseText); },
        complete: function () {
            OnAjaxComplete();
        }
    });
}